%global srcname p1_yaml
# Erlang packages don't seem to ship debug files, as the build process does not generate them
%global debug_package %{nil}


Name: erlang-%{srcname}
Version: 1.0.0
Release: 2%{?dist}
Summary: An Erlang wrapper for libyaml "C" library
License: ASL 2.0
URL: https://github.com/processone/%{srcname}/
Source0: https://github.com/processone/%{srcname}/archive/%{version}.tar.gz

Requires: erlang-erts
Requires: erlang-p1_utils
BuildRequires: erlang-rebar
BuildRequires: erlang-rpm-macros
BuildRequires: erlang-eunit
BuildRequires: erlang-p1_utils
BuildRequires: libyaml-devel


%description
P1 YAML is an Erlang wrapper for libyaml "C" library.


%prep
%autosetup -n %{srcname}-%{version}


%build
%rebar_compile


%install
install -d $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/priv/lib
install -d $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/ebin

install -pm644 ebin/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/ebin/
install -pm755 priv/lib/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/priv/lib


%check
%ifnarch i686
%__rebar eunit
%endif


%files
%license COPYING
%doc README.md
%{_libdir}/erlang/lib/%{srcname}-%{version}


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 25 2016 Jeremy cline <jeremy@jcline.org> - 1.0.0-1
- Bump to a versioned release.

* Tue Dec 29 2015 Jeremy Cline <jeremy@jcline.org> - 0-1.20151007git79f756ba
- Initial release.
